## net.i2p.stat
Interface RateSummaryListener

All Known Implementing Classes:
  SummaryListener

    public interface RateSummaryListener

Receive the state of the rate when its coallesced

Method Summary
`void` `add(double totalValue, long eventCount, double totalEventTime, long period)`

Method Detail

### add

    void add(double totalValue,
             long eventCount,
             double totalEventTime,
             long period)

  Parameters:
    `totalValue` - sum of all event values in the most recent period
    `eventCount` - how many events occurred
    `totalEventTime` - how long the events were running for
    `period` - how long this period is